%define perl_vendorarch %(eval "`%{_bindir}/perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_vendorarch64 %(eval "`%{_bindir}/perl_64bit -V:installvendorarch`"; echo $installvendorarch)

Name:           perl-GD
Version:        2.39
Release:        1
Summary:        Perl interface to the GD graphics library

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/GD/
Source0:        http://www.cpan.org/authors/id/L/LD/LDS/GD-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  gd-devel >= 2.0.28
BuildRequires:  %{_bindir}/gdlib-config
BuildRequires:  libpng-devel, libjpeg-devel, freetype2-devel
BuildRequires:  fontconfig-devel, libXpm-devel
Requires:       gd >= 2.0.28
Requires:       libpng, libjpeg, freetype2
Requires:       fontconfig, libXpm
Requires:       perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:       perl >= 5.8.8

%description
This is a autoloadable interface module for GD, a popular library
for creating and manipulating PNG files.  With this library you can
create PNG images on the fly or modify existing files.


%prep
%setup -q -n GD-%{version}
%{_bindir}/perl -pi -e 's|/usr/local/bin/perl\b|%{_bindir}/perl|' \
  qd.pl demos/*.pl demos/*.cgi demos/truetype_test
chmod 0644 bdf_scripts/* demos/*
chmod 0755 qd.pl
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/


%build
cd 32bit
%{_bindir}/perl Makefile.PL INSTALLDIRS="vendor"
make
cd ../64bit
%{_bindir}/perl_64bit Makefile.PL INSTALLDIRS="vendor"
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 32bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}
cd ../64bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name '*.bs' -empty -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/ChangeLog 32bit/README 32bit/README.QUICKDRAW
%doc 32bit/demos/ 32bit/bdf_scripts/
%{_bindir}/*
%{perl_vendorarch}/*
%{perl_vendorarch64}/*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Thu Oct 23 2008 Michael Perzl <michael@perzl.org> - 2.39-1
- first version for AIX V5.1 and higher
